package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.bwie.user.controller
 * @Project：exam-day10
 * @name：UserController
 * @Date：2024/7/29 上午8:54
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired private UserService userService;

    @PostMapping("/select")
    public Result<List<User>> select(){
        return Result.success(userService.select());
    }

    @DeleteMapping("/delete")
    public Result<Object> delete(@RequestParam Integer uid){
        return Result.success(userService.delete(uid));
    }

}
